#!/bin/sh

set -e

##functions.sh##

target="$1"
self="$2"
new=`dirname "$self"`/mailname
flags="$3"

md5sum="$CCLUB_CONFIG_GENERATED_DIR/mailname.md5sum"

if [ ! -e "$md5sum" ]; then
    hostname -f | md5sum | sed -e 's/-$/default_generated/' > "$md5sum"
fi

configure_via_copy "$target" "$new" "$flags"

$dry_run dpkg-reconfigure -fnoninteractive exim4-config
